/************* MAIN *************/
*
{
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

html, body
{
  margin: 0;
  padding: 0;
}

body
{
  background-color: #F1F0EC;
  font: 15px/18px normal Helvetica, Arial, sans-serif;
  color: #000;
}

/************* MODAL *************/
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  border: 1px solid #888;
  width: 40%; /* Could be more or less, depending on screen size */
  min-width: 350px;
}

/* The Close Button */
.close {
  color: #fff;
  float: right;
  font-size: 48px;
  font-weight: bold;
  position: relative;
  top: 20px;
  transition: color 0.2s;
}

.close:hover,
.close:focus {
  color: #CC5500;
  text-decoration: none;
  cursor: pointer;
}

/* Modal Header */
.modal-header {
  padding: 2px 16px;
  background-color: #2a396a;
  color: white;
}

/* Modal Body */
.modal-body {padding: 8px 16px;}
.modal-body a
{
  color: #4056A1;
  text-decoration: none;
  transition: color 0.2s;
}

.modal-body a:hover
{
  color: #CC5500;
}

.modal-body .login_btn
{
  font-size: 22px;
  line-height: 22px;
  text-align: center;
}

/* Modal Footer */
.modal-footer {
  padding: 2px 16px;
  background-color: #5cb85c;
  color: white;
}

/************* HEADER *************/

.header_bar_container
{
  background: #2a396a;
  height: 50px;
  width: 100%;
  position:fixed;
  top: 0;
  left: 0;
  z-index: 999;
}

.header_bar
{
  color: #fff;
  display: flex;
  justify-content: space-between;
  line-height: 30px;
  padding: 10px 0;
  max-width: 1264px;
  margin: 0 auto;
  font-size: 20px;
}

.header_bar a
{
  text-decoration: none;
  color: #fff;
  transition: color 0.2s;
}

.header_bar a:hover
{
  color: #FF974D;
}

.header_bar .logo
{
  font-style: italic;
  font-weight: bold;
  font-size: 30px;
}

.header_bar > .right > span
{
  margin-left: 15px;
}
.header_bar > .right > span a
{
  padding: 10px;
}

.header_bar > .right > span:last-child a
{
  padding-right: 0;
}

#container
{
  margin-top: 50px;
}

#container .body
{
  width: 1290px;
  margin: 0 auto;
  background: #fff;
  padding: 5px 20px 20px;
}
#container .body a
{
  color: #4056A1;
  text-decoration: none;
  transition: color 0.2s;
}
#container .body a:hover
{
  color: #CC5500;
}

/************* VIEW TRACKS *************/

#container .tracks
{
  max-width: 1290px;
  width: 70%;
  margin: 0 auto;
  padding: 20px;
}

#container .tracks .track
{
  background: #fff;
  border-radius: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  margin-bottom: 15px;
  padding: 8px;
}

#container .tracks .track .name
{
  font-size: 24px;
}
#container .tracks .track .name a
{
  color: #4056A1;
  text-decoration: none;
  transition: color 0.2s;
}

#container .tracks .track .name a:hover
{
  color: #CC5500;
}
#container .tracks .track .info
{
  padding-top: 3px;
}

/************* TRACK OPTIONS *************/

.track_header
{
  width: 1290px;
  display: flex;
  justify-content:space-between;
  margin: 0 auto;
  padding: 20px;
}

.track_header .track_name .name_line
{
  font-size: 28px;
  line-height: 28px;
}

.track_header .track_name input
{
  width: 315px;
  height: 25px;
  font-size: 20px;
  padding: 15px;
  border: 0;
  border-radius: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
}

.track_header .track_opts.card_view
{
  display: none;
}

.track_header .track_opts a
{
  padding: 5px;
  margin: 0 10px;
  font-size: 20px;
  text-decoration: none;
  color: #4056A1;
  transition: color 0.2s;
}

.track_header .track_opts a:hover
{
  color: #CC5500;
}

.track_header .message
{
  display: block;
  font-weight: bold;
  opacity: 0;
  transition: opacity 0.5s;
}

.track_header .message.show
{
  opacity: 1;
}

.track_header .message.error
{
  color: red;
}

.track_header .message.success
{
  color: green;
}

/************* AREA *************/

.area
{
  display: table;
  width: 1290px;
  margin: auto;
}

.area .row
{
  display: table-row;
  width: auto;
}

.area .row .cell_wrapper
{
  display: table-cell;
  height: 175px;
  width: 215px;
  padding: 10px;
  border-bottom: 3px solid #F1F0EC;
}

.row .cell_wrapper
{
  vertical-align: middle;
  text-align: center;
  font-size: 50px;
}

.row .cell_wrapper .cell
{
  height: 100%;
  position: relative;
}

.row .cell_wrapper.border-bot
{
  border-bottom: 3px solid #C5CBE3;
}

.row .cell_wrapper.border-right
{
  border-right: 3px solid #C5CBE3;
}

.area.play .cell .opts .add
{
  display: none;
}

/************* CARD AREA *************/

.area.cards
{
  display: none;
}

.area.cards .cell .opts .remove
{
  display: none;
}

.area.cards .maxed .opts .add
{
  visibility: hidden;
}

/************* TURN *************/
.row .cell.turn
{
  color: #C5CBE3;
}
.row div.turn.bot-right i
{
  transform: rotate(-90deg);
}
.row div.turn.right-bot i
{
  transform: scaleX(-1);
}
.row div.turn.right-top i
{
  transform: rotate(180deg);
}
.row div.turn.top-left i
{
  transform: rotate(90deg);
}
.row div.turn.top-right i
{
  transform: rotate(-90deg) scaleX(-1);
}

/************* CARD *************/

.row div.card
{
  border-radius: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border: 1px solid #C5CBE3;
  color: #4056A1;
  transition: border-color 0.2s;
}

/*.row div.card:hover
{
  border-color: #CC5500;
}*/

.row div.card:hover
{
  border-color: #4056A1;
}

.row .card a
{
  text-decoration: none;
  color: #4056A1;
  transition: color 0.2s;
}

.row .card a:hover
{
  color: #CC5500;
}

.card .opts .rotate i
{
  transform: rotate(90deg) scaleX(-1);
}

.card .card_content.add, .cell .turn_content
{
  line-height: 152px;
}

.card .card_content:not(.add)
{
  line-height: 92px;
  color: #CC5500;
}

.card .opts
{
  z-index: 100;
  height: 30px;
  font-size: 20px;
  line-height: 30px;
  display: flex;
  justify-content:space-between;
}
.card .opts a
{
  padding: 10px;
}

.cell .title
{
  font-size: 15px;
  height: 20px;
  width: 100%;
  line-height: 15px;
  font-weight: bold;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}


.donut_rows_1
{
  line-height: 92px;
}
.donut_rows_2
{
  line-height: 45px;
  font-size: 45px;
}
.donut_row i
{
  display: inline;
}
.card .card_content.half_donut
{
  line-height: 102px;
}
.half_donut i:after
{
  content: "";
  position: absolute;
  background: #F1F0EC;
  border-top: 5px solid #CC5500;
  width: 48px;
  height: 49px;
  left: 50%;
  right: 0;
  transform: translateX(-50%) translateY(50%);
}

.tube i
{
  transform: scale(2,1) rotate(-90deg);
}

.fas.hurdle:before
{
  content: url('../svg/hurdle.svg');
}

.spinning_donut i
{
  transform: rotateY(0deg);
  transition: transform linear 2s;
}
.spinning_donut.animate i
{
  transform: rotateY(360deg);
}
.swaying_donut i
{
  margin-left: -75px;
  transition: margin-left linear 1.5s;
}
.swaying_donut.animate i
{
  margin-left: 75px;
}
